Chuyển đến nội dung
Diễn đàn CADViet

quickandfine

Thành viên
  • Số lượng nội dung

    99
  • Đã tham gia

  • Lần ghé thăm cuối

Bài đăng được đăng bởi quickandfine


  1. Chào bác Tue_NV.

    Sau khi down đoạn lisp trên về dùng em thấy thế này ạ.

    Lisp chạy đúng cho trường hợp các dimension có cùng một "điểm xuất phát" (em không biết dùng từ gì cho chuẩn) khi đó các textdim sẽ đường căn bằng khoảng cách đến đầu bên trái bằng nhau. như vậy chúng sẽ thẳng hàng. Nhưng trường hợp các điểm căn ở đầu bên trái không thẳng hàng thì hình như chưa đúng ạ.

    Em post lại file  bản vẽ yêu cầu, mô tả rõ ràng hơn, bác và các bác khác xem giúp em với nhé.

    Trường hợp dim theo phương thẳng đứng cũng tương tự ạ

    http://www.cadviet.com/upfiles/3/110072_lsh_2.dwg


  2. Chào bác Tue-NV và các anh em trên diễn đàn.

    Lâu lắm em không có dịp vào diễn đàn vì đi công trường suốt, mới về phòng và tiếp tục công việc vẽ vời. Em gặp một tình huống tương tự như trường hợp này mà lisp này em thấy dùng chưa được như ý lắm (hoặc ít ra là trong trường hợp cụ thể của em). Xin nhờ các bác sửa giúp thêm để thực hiện được công việc như em miêu tả trong file đính kèm. Em đính kèm 2 file, một file là file miêu tả lisp yêu cầu, một file là file thực tế em đang phải làm, các bác xem và giúp em với ạ.

    Thanks các bác nhiều!

    File mô tả lisp

    http://www.cadviet.com/upfiles/3/110072_lsh_1.dwg

    File thực tế em đang làm

    http://www.cadviet.com/upfiles/3/110072_01general_view_of_pier_type_2a.dwg


  3.  

     

    bác có thể viết hộ e cái lisp mà nó tự động chạy khi e đã add cứng nó bằng lệnh ap luôn ko bác . líp này giúp cho text dim luôn nằm vào giữa dim mà ko bị trường hợp như vậy . lisp này luôn chạy ngầm khi mở cad .

    e cảm ơn bác . e cần quá vì nhiều dim bị như thế . cầm tay kéo rất mất thời gian .

    Lisp thì bác Doan Van Ha đã viết cho bạn rồi. Còn vấn đề của bạn có quá nhiều Dim bị như thế thì bạn phải xem Dim đó thuộc kiểu Dimstyle nào và vào sửa trong DImstyle đó thôi. Có thể cái bạn nhìn thấy thuộc kiểu Dimstyle này mà bạn lại sửa ở Dimstyle kia nên ko thấy nó được ở tất cả các Dim thôi. Để chắc ăn thì bạn phải sửa trong tab Fit ở tất cả các Dimstyle là được thôi.


  4. Em xin góp một vài kiểu:

    TXT,RTF: Text (cái này thì quen quá rồi).

    OUT: File text xuất kết quả từ chương trình Pcacol, FB-Pier.

    DOCX và XLSX: Từ Office 2007 trở lên.

    Ngoài ra còn có các loại khác khá phổ biến nhưng em không biết có liên quan nhiều đến mong muốn của bác hay không như:

    Dạng nén: RAR, ZIP...

    Dạng PDF

    Dạng ảnh: JPG, JPEG, BMP, PNG, PSD...

    • Vote tăng 1

  5. vấn đề of b đâu cần phải khóa layer làm j cho cách rách thêm. Để stretch 1 đối tượng trong 1 đống layer bạn chỉ cần layiso đối tượng cần stretch ->chọn đối tượng cần stretch ---> layon-----> stretch --->>>> p (cái lệnh p này là lấy lại đối tượng mình vừa chọn). Bạn thử xem có nhanh hơn là khóa layer ko

    Cách này mình thấy cũng được nhưng hình như là khi dùng P để chọn lại đối tượng thì Cad hiểu là chọn toàn bộ đối tượng đó để stretch (tức là sẽ move đối tượng đi) thì phải.Mà mình chỉ muốn Strecth thôi.


  6. Bạn gõ vào command như thế nào thì viết ở lisp như vậy ^^

    Em thử thao tác bằng lệnh. cụ thể như sau

    1/ gõ -layer

    2/ chọn U

    3/ sau khi chọn được object thì Enter 2 lần

    thao tác như vậy thì được. Nhưng với từng ấy em viết vào lisp thì lại không được như vậy. Đoạn lisp em sửa theo các thao tác đó em Up lại ở bài viết trên. Mr Ketxu và các bác có thể chỉ rõ cho em biết tại sao không ạ?


  7. Em chưa hiều lắm về lisp nên chủ yếu copy code của các bác về sửa (em cũng sửa theo cảm tính chứ cũng chưa hiểu bản chất gì mấy) theo mục đích dùng của mình là chính. về đoạn lisp trên em mới chỉnh sửa được một đoạn code như thế này, nhưng có điều là sau khi Lock toàn bộ layer, em muốn unlock một (hoặc một vài) layer khác thì đoạn lisp này bị lỗi chỗ nào đó nên nó cứ hỏi tùy chọn thêm mấy thứ nữa (cũng hơi lằng nhằng). Nhờ các bác xem và sửa hộ cho em thành sau khi gõ lệnh LKK rồi thì lisp sẽ cho mình tùy chọn layer(s) để unlock luôn ạ

    LKK.lsp
    
    (defun C:LKK()
      (command "-Layer" "LO" "*" "")
    (princ)
      (command "-layer" "U" )
    (princ)
    )
    


  8. Chào các bác.Trước tiên mong các bác thông cảm vì vấn đề này khả là nhỏ nhưng em thắc mắc lâu rồi mà không tự giải đáp được nên mới lên đây để hỏi các bác. Cụ thể thế này ạ:

    Khi em dùng lệnh Qleader, em chỉ muốn vẽ một mình cái mũi tên thôi. em vào settings tùy chỉnh như sau:

    1- Tab Annotation

    - Annotation type là None

    - Annotation reuse (cái này em không biết) chọn None

    2- Tab Leader line and Arrows

    - Leader line là kiều Straight

    - Number of Points là No limit

    - Arrow head là Closed filled

    - 2 tùy chọn còn lại để là Any angle

    Điều em thắc mắc là cứ lâu lâu sau khi em tùy chỉnh như vậy thì cái Annotaion type lại bị nhảy (không phải None nữa mà thường lại nhảy về Mtext),

    và Number of point cũng không còn là No limit nữa mà lại quay về dạng maximum là 3.

    Các bác cho em hỏi là có cách nào để giữ luôn luôn 2 thông số trên là None và No limit không ạ?

    Em xin cảm ơn ạ!


  9. Đợt rồi bận làm hồ sơ thầu cho cty đi đấu thầu nên không vào web thường xuyên được. Yêu cầu của em ở bài viết số #9 vẫn chưa có bác nào rảnh tay giúp đỡ với ạ? Các bác cho em hỏi chế độ Lock and Fade khi layiso có phải từ cad 2008 trở về trước chưa có đúng không ạ?

    Em xin cảm ơn các bác đã quan tâm ạ!


  10. sao bạn không phân layer ra từng nhóm một rùi tắt mở rất tiện đó.cũng chỉ 1-2 thao tác thui mà list làm gì

    Mình có phân layer thành từng nhóm chứ. Nhưng giả sử bạn cần stretch một đối tượng thuộc layer 1, mà đối tượng đó nằm sát cạnh các đối tương khác thuộc layer 2,3,4.. mà vẫn cần nhìn thấy các đối tượng khác kia thì dùng layiso để tắt các đối tượng kia đi thì không ổn.


  11. Cài xong thấy hiện lên bảng thông báo "Remider! You have 30 day remaining to register and activites the product........"

    h phải làm sao đây

    Theo mình nhớ thì crack của Cad 2007 gồm 2 file, bạn copy 2 file đó vào thư mục cài Cad (chọn Replace nếu có thông báo hỏi) là Ok thôi. Các phiên bản Cad đời sau thì crack sẽ "lằng nhằng" hơn một chút. Nhưng bạn cứ đọc và làm theo trình tự như trong file hướng dẫn (thường có đi kèm bộ cài) là làm được thôi mà!


  12. Lisp thì đơn giản, nhưng bạn nên thử dùng layiso với chế độ Lock and Fade trước đã :)

    Chào anh Ket.

    Em đang dùng Cad 2007, Khi dùng Layiso, vào settings thì chỉ có 2 mục là VPfreeze và Off thôi chứ không thấy có mục Lock and Fade như anh nói. Không biết có phải Cad đời cao hơn mới có không ạ?

    P/S: Lúc trước có lần em đã cài thử Cad 2013 nhưng chưa thử lệnh layiso thì đã Uninstall nên ko nhớ có hay không.


  13. Khi mình dùng lệnh STRETCH với nhóm đối tượng thì các Block nằm trong vùng chọn của nhóm đối tượng đó không di chuyển theo vì thế sau đó mình lại phải dùng thêm lệnh Move để di chuyển các Block này đi theo. Mình muốn hỏi có cách nào để các Block này di chuyển đi theo ngay khi thực hiện lệnh STRETCH không?

    Bạn để ý xem cái "tâm" của Block ở đâu, khi stretch bạn quét chuột qua cái tâm đó thì block sẽ move theo thôi.

    • Vote tăng 1

  14. 2 Lệnh chọn một đối tượng thuộc layer nào đó, rồi dùng lệnh gì giúp khóa (và tắt) tất cả các layer khác, chỉ mở duy nhất một layer chứa đối tượng đó (giông nhu layiso)

    Chào các bác ạ

    Em muốn nhờ các bác viết hộ một đoạn lisp gần giống như yêu cầu của bạn chủ topic này ạ. Tức là mình click chọn một đối lượng thuộc một layer, gõ lệnh (giả sử là KL) thì tất cả các layer khác trong bản vẽ đều bị khóa lại ạ. Nhưng chỉ khóa thôi chứ không tắt các layer đó đi ạ. Chả là vì em gặp phải trường hợp cần stretch một đối tượng trong một mớ các đối tượng cạnh nhau mà khi dùng chuột quét thì nó chọn toàn bộ các đối tượng nên Unselect thì hơi lâu. mà dùng Layiso thì lại không nhìn thấy phạm vi cần stretch đến đâu cả.

    Em xin cảm ơn các bác nhiều và chúc các bác mạnh khỏe!


  15. Nếu chọn Paste link mà file gốc bị mất thì làm sao mở được OLE vậy bạn? Còn chọn Ctrl+V thi có thể sửa được OLE, thế thì cách nào hay hơn!?

    Cách nào cũng có cái hay riêng của nó. Mình đã nói là ý kiến chủ quan của mình mà. Với mình, File excel luôn đi cùng folder với file Cad nên sẽ không bị mất link dù copy đi chỗ khác.

×